using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_EntityFramework;
using Exferia_Expedientes._0_Modelos;
using Exferia_General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_Expedientes._3_Vistas.Listados
{
    public class ABS_Listado_Citaciones_Informe : ABS_Listado
    {
        private Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

        //Constructor
        public ABS_Listado_Citaciones_Informe()
        {
            Rellenar_Columnas();
        }

        private void Rellenar_Columnas()
        {
            //Tipo
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Tipo), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Tipo), "Tipo", Enumerados.G_ENUM_TIPOSDATOS.INT, true, 0, false, true, false, false, "", null, true, null, null, "", false, 0, true));

            //Citacion_Fecha
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Citacion_Fecha), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Citacion_Fecha), "Fecha", Enumerados.G_ENUM_TIPOSDATOS.DATETIME, true, 0, false, true, false, false, "", null, false, null, null, "", false, 0, true));

            //Juzgado
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Juzgado_Descripcion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Juzgado_Descripcion), "Juzgado", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, true, true, false, "", null, true, null, null, "", false, 0, true));

            //Citacion_Hora
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Citacion_Hora), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Citacion_Hora), "Hora", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 70,true, true, true, false, "", null, false, null, null, "", false, 0, true));

            //Actores
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Actores), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Actores), "Actores", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, false, true, false, "", null, false, null, null, "", false, 0, true));

            //Demandado
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Demandado), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Demandado), "Demandado", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, false, true, false, "", null, false, null, null, "", false, 0, true));

            //Materia
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Materia), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Materia), "Materia", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, false, true, false, "", null, false, null, null, "", false, 0, true));

            //Asesor
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Asesor_Nombre), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Asesor_Nombre), "Asesor", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, true, true, false, "", null, false, null, null, "", false, 0, true));

            //Expediente_Codigo
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Expediente_Codigo), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Expediente_Codigo), "Nº Expediente", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, false, true, false, "", null, false, null, null, "", false, 0, true));

            //Citacion_Observaciones
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Citacion_Observaciones), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Citacion_Observaciones), "Observaciones", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, false, true, false, "", null, false, null, null, "", false, 0, true));

            //Procedimiento_Numero
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Procedimiento_Numero), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Procedimiento_Numero), "Nº Procedimiento", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, false, true, false, "", null, false, null, null, "", false, 0, true));

            //Procedimiento_NumeroEjecucion
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_Informe_Citaciones_Modelo.Procedimiento_NumeroEjecucion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_Informe_Citaciones_Modelo.Procedimiento_NumeroEjecucion), "Nº Ejecución", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 150, true, false, false, false, "", null, false, null, null, "", false, 0, true));

        }

        public override List<dynamic> LISTADO()
        {
            return Registros;
        }


        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return Datos_Generales.PRV_Opciones_Buscar_Detalles(Variables.G_STR_OPCION_OTROS_EPD_CITACIONES_INFORME);
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return Variables.G_STR_OPCION_OTROS_EPD_CITACIONES_INFORME;
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            return g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return null;
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
